/*
 * ***********************************************************************
 *
 * File 'tkCanvasPlusTags.h'.
 *
 * CanvasPlus drawing rotines interface file.
 *
 * Written by Jorge Lima in Nov 23 14:44:03 WET 2004
 *
 */

#ifndef _TK_CANVAS_PLUS_TAG_H
#define _TK_CANVAS_PLUS_TAG_H

//#define USE_INTERNAL_HASH_TABLE 1

#include <X11/Xutil.h>
#include <tcl.h>
#include <tk.h>
#include "CanvasPlusDefs.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Structure for item tags
 */
#define CP_TAGS_SPACE 10

struct CP_Tags {
  Tk_Uid staticArray[CP_TAGS_SPACE];
  Tk_Uid *array;
  int space;
  int number;
};


void CPInitTags();

void CPReleaseTags();

void CPInitItemTags(CP_Item *item);

void CPDeleteItemTags(CP_Item *item);

Tk_Uid CPGetTagUid(const char *str);

ClientData CPGetTagOrId(CP_Mode *mode, const char *tagOrId);

void CPAddBindTag(CP_Item *item, const Tk_Uid tag);

void CPRemoveBindTag(CP_Item *item, const Tk_Uid tag);

CP_Item *CPSearchBindTag(CP_Item *start, const Tk_Uid tag);

int CPGetBindScript(Tcl_Interp *interp, Tk_BindingTable bindTbl,
		    ClientData tagOrId, char *sequence);

int CPBindScriptToTag(Tcl_Interp *interp, Tk_BindingTable bindTbl,
		      ClientData tagOrId, char *sequence, char *script);

Tk_Uid CPGetAllTagUid();

Tk_Uid CPGetCurrentTagUid();


#ifdef __cplusplus
}
#endif

#endif /* _TK_CANVAS_PLUS_TAG_H */
