/*
 * tkUnixDefault.h --
 *
 *	This file defines the defaults for all options for all of
 *	the Tk widgets.
 *
 * Copyright (c) 1991-1994 The Regents of the University of California.
 * Copyright (c) 1994-1997 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: tkUnixDefault.h,v 1.16 2002/06/21 23:09:54 hobbs Exp $
 */

#ifndef _TKUNIXDEFAULT
#define _TKUNIXDEFAULT

/*
 * The definitions below provide symbolic names for the default colors.
 * NORMAL_BG -		Normal background color.
 * ACTIVE_BG -		Background color when widget is active.
 * SELECT_BG -		Background color for selected text.
 * TROUGH -		Background color for troughs in scales and scrollbars.
 * INDICATOR -		Color for indicator when button is selected.
 * DISABLED -		Foreground color when widget is disabled.
 */

#define BLACK		"Black"
#define WHITE		"White"

#define NORMAL_BG	"#d9d9d9"
#define ACTIVE_BG	"#ececec"
#define SELECT_BG	"#c3c3c3"
#define TROUGH		"#c3c3c3"
#define INDICATOR	"#b03060"
#define DISABLED	"#a3a3a3"


/*
 * Defaults for canvases:
 */

#define DEF_CANVASP_BG_COLOR		NORMAL_BG
#define DEF_CANVASP_BG_MONO		WHITE
#define DEF_CANVASP_CLOSE_ENOUGH	"1"
#define DEF_CANVASP_CONFINE		"1"
#define DEF_CANVASP_CURSOR		""
#define DEF_CANVASP_HEIGHT		"7c"
#define DEF_CANVASP_HIGHLIGHT_BG	NORMAL_BG
#define DEF_CANVASP_HIGHLIGHT		BLACK
#define DEF_CANVASP_HIGHLIGHT_WIDTH	"1"
#define DEF_CANVASP_INSERT_BG		BLACK
#define DEF_CANVASP_INSERT_BD_COLOR	"0"
#define DEF_CANVASP_INSERT_BD_MONO	"0"
#define DEF_CANVASP_INSERT_OFF_TIME	"300"
#define DEF_CANVASP_INSERT_ON_TIME	"600"
#define DEF_CANVASP_INSERT_WIDTH	"2"
#define DEF_CANVASP_SCROLL_REGION	""
#define DEF_CANVASP_SELECT_COLOR	SELECT_BG
#define DEF_CANVASP_SELECT_MONO		BLACK
#define DEF_CANVASP_SELECT_BD_COLOR	"1"
#define DEF_CANVASP_SELECT_BD_MONO	"0"
#define DEF_CANVASP_SELECT_FG_COLOR	BLACK
#define DEF_CANVASP_SELECT_FG_MONO	WHITE
#define DEF_CANVASP_TAKE_FOCUS		(char *) NULL
#define DEF_CANVASP_WIDTH		"10c"
#define DEF_CANVASP_X_SCROLL_CMD	""
#define DEF_CANVASP_X_SCROLL_INCREMENT	"0"
#define DEF_CANVASP_Y_SCROLL_CMD	""
#define DEF_CANVASP_Y_SCROLL_INCREMENT	"0"
#define DEF_CANVASP_Y_INVERT            "0"
#define DEF_CANVASP_ZOOM		"1.0"

#endif /* _TKUNIXDEFAULT */
